Bug 1313812 - kernel: Kernel panic when mounting specially crafted ext2 filesystem
kernel: Kernel panic when mounting specially crafted ext2 filesystem
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160329,reported=2...
: Security
Depends On: 1322277
Blocks: 1313817
  Show dependency treegraph
 
Reported: 2016-03-02 06:59 EST by Adam Mariš
Modified: 2016-05-28 11:15 EDT (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-28 11:15:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash report (1.63 KB, text/plain)
2016-03-02 07:01 EST, Adam Mariš
no flags Details

  None (edit)
Description Adam Mariš 2016-03-02 06:59:00 EST
Kernel panic caused by mounting specially crafted ext2 filesystem was found. This issue was tested on linux kernel 3.10, 3.18 and 3.19.
Comment 1 Adam Mariš 2016-03-02 06:59:15 EST
Acknowledgments:

Name: Hugues Anguelkov
Comment 2 Adam Mariš 2016-03-02 07:01 EST
Created attachment 1132278 [details]
Crash report
Comment 5 Andrej Nemec 2016-03-30 04:03:14 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1322277]
Comment 6 Andrej Nemec 2016-03-30 04:03:35 EDT
Public via:

http://seclists.org/oss-sec/2016/q1/709
Comment 7 Josh Boyer 2016-03-31 08:22:02 EDT
Upstream's stance on this bug:

http://marc.info/?l=linux-ext4&m=145937069606704&w=2

Basically, they plan on doing nothing in the kernel.

The two suggestions of running fsck and mounting with -o errors=continue are feasible, but they would need to be done in userspace.
Comment 8 Vladis Dronov 2016-05-28 11:15:04 EDT
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2. This has been rated as having Low security impact, as this is actually not a security flaw but intended kernel reaction. This is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Note You need to log in before you can comment on or make changes to this bug.